Search Unity

  1. Unity 2019.2 is now released.
    Dismiss Notice

[Released] Ultimate Mobile

Discussion in 'Assets and Asset Store' started by lacost, Aug 14, 2014.

  1. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
    No, advanced social features are not included into Ultimate Mobile plugin.
    Here you can find the documentation about all the features included into Ultimate Mobile package.
    Please, check it out. I think it will be helpful for you.
     
  2. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
    Hello,
    Added your report to our issue tracker.
    Our developer will work on this and if the issue will be reproduced, the fix will be included.
    In general, the fix will be available with the following official update of the plugin.
    You can ask for a status of this task any time you want by contacting our support team.

    Thank you for this report!
     
  3. BAIZOR

    BAIZOR

    Joined:
    Jul 4, 2013
    Posts:
    72
    Hello,
    How can I disable Logging on iOS&Android release builds for optimization reason?
    Thanks!
     
  4. Moonlit-Games-Studio

    Moonlit-Games-Studio

    Joined:
    Feb 11, 2014
    Posts:
    23
    Turns out that your support email is not working (that's the reason why I asked on the forum).

    Code (CSharp):
    1. This message was created automatically by mail delivery software.
    2.  
    3. A message that you sent could not be delivered to one or more of its
    4. recipients. This is a permanent error. The following address(es) failed:
    5.  
    6.   support@unionassets.com
    7.     host aspmx.l.google.com [64.233.166.27]
    8.     SMTP error from remote mail server after RCPT TO:<support@unionassets.com>:
    9.     550-5.1.1 The email account that you tried to reach does not exist. Please try
    10.     550-5.1.1 double-checking the recipient's email address for typos or
    11.    550-5.1.1 unnecessary spaces. Learn more at
    12.    550 5.1.1  https://support.google.com/mail/?p=NoSuchUser b65si23463225wmd.35 - gsmtp
    13.  
    14. Action: failed
    15. Final-Recipient: rfc822;support@unionassets.com
    16. Status: 5.0.0
    17. Remote-MTA: dns; aspmx.l.google.com
    18. Diagnostic-Code: smtp; 550-5.1.1 The email account that you tried to reach does not exist. Please try
    19. 550-5.1.1 double-checking the recipient's email address for typos or
    20. 550-5.1.1 unnecessary spaces. Learn more at
    21. 550 5.1.1  https://support.google.com/mail/?p=NoSuchUser b65si23463225wmd.35 - gsmtp

    This issue with Instagram is really urgent - how can I contact you to know when it's fixed?

    Also, we've logged error code for Instagram sharing when failed - it's 1.
     
  5. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
    As I can see from the error message you get, you are sending the messages to the wrong e-mail address.
    The official Stan's Assets Support e-mail is support@stansassets.com

    I have the new information for you. I have just received the feedback of our developer according to Instagram Sharing callback issue. The issue was not reproduced on our side, so, please, contact our support team directly and provide as much detailed information as you can to help reproduce and fix this issue.
    Please, go ahead and you will get great support in a short time.
     
  6. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
    Hello,
    There are two types of logging within Ultimate Mobile plugin - Unity C#-side logging and native side logging (platform-related implementation for iOS and Android).

    To disable Unity C#-side logging you have to just remove all the Debug.Log method calls from the scripts you reference.
    Please, go ahead and clean all these logs manually, it's super simple.

    But the situation with the logs from native libraries is quite different.
    For now, unfortunately, there is no opportunity to disable all these logs all at once.
    We are currently working on this solution. It will be announced with the following plugin updates.
     
  7. Moonlit-Games-Studio

    Moonlit-Games-Studio

    Joined:
    Feb 11, 2014
    Posts:
    23
    Email was taken from: https://www.assetstore.unity3d.com/en/#!/search/page=1/sortby=relevance/query=publisher:5812
    Already sent you email with bug report and steps to reproduce.

    Thanks!
     
  8. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
  9. jGate99

    jGate99

    Joined:
    Oct 22, 2013
    Posts:
    905
    Can you please provide OSX Native support chaning standalone icon on runtime, bounce, and add notificaiton symbol in it?

    Thanks
     
  10. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
    Hello,
    I am not quite sure, that such a features are included in OSX Native plugin.
    Please, check our documentation according to OSX Native here.
    And if you will not find such a features you are looking for, please, feel free to contact our support team and request it.
    Most likely the new feature will be added in a couple of days. Please, go for it.
     
  11. Fireflow-Prime

    Fireflow-Prime

    Joined:
    Oct 15, 2015
    Posts:
    3
    Hello,

    we are using UltimateMobile Push Notification Api.
    We have a problem with the styling of the android notifications.
    On newer Androids, the icon is completly white and not visible.
    Also, the "Replace old notification" setting didnt work.

    We cant change targetSdk to < 21 to get the old Notification Behaviour so we have to deal with it.

    Because the source code is not available, we have no idea how we should setup the notificiation styling on android to work with Devices >Lollipop

    We tried different images, silhouettes, colors but nothing seems to work

    settings below

    Thanks for your help.
     

    Attached Files:

  12. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
    Hello,
    Let's try to clarify this case.
    All our native libraries are not dependent on the target SDK of your project.
    I mean, the target SDK is set to the latest Android SDK available.

    It's quite strange, that you have such kind of behaviour with the push notifications layout.
    This case should be investigated more precisely. So, my recommendation for you is to contact our support engineer, provide all the required resources and provide all the detailed information you have.
    Please, go ahead and contact our support team and you will get this case solved in a short time.
     
  13. Fireflow-Prime

    Fireflow-Prime

    Joined:
    Oct 15, 2015
    Posts:
    3
    Hello,

    thanks for reply, i will contact the support.
     
  14. joelcarlson

    joelcarlson

    Joined:
    Apr 7, 2014
    Posts:
    43
    For some reason iOS Native settings aren't appearing. I've upgraded, uninstalled, reinstalled, and I'm scratching my head. I'm on Unity 5.5.1.
     

    Attached Files:

  15. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
    On the screenshot you provided there is IOSNativeSettings.asset file and the IOS Settings button on the Ultimate Mobile Settings Unity Inspector window. Please, double check it, because I see, that all the iOS settings exist in your project.
     
  16. joelcarlson

    joelcarlson

    Joined:
    Apr 7, 2014
    Posts:
    43
    Well, good news! I saw that 9.5 was out, so I removed Ultimate Mobile and installed 9.5 and everything is working great now.
     
  17. joelcarlson

    joelcarlson

    Joined:
    Apr 7, 2014
    Posts:
    43
    I guess I spoke too soon. I went to build for iOS and was hit with 26 errors pretty much identical to:

    Assets/Plugins/StansAssets/Modules/AmazonNative/Amazon/Editor/AMN_PostProcess.cs(87,43): error CS1061: Type `SA.IOSDeploy.ISD_Settings' does not contain a definition for `ContainsFreamworkWithName' and no extension method `ContainsFreamworkWithName' of type `SA.IOSDeploy.ISD_Settings' could be found. Are you missing an assembly reference?

    I see that it's a known issue, but I can't wrap my head around a fix.
     
  18. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
    Hello,
    This issue was fixed in Ultimate Mobile version 9.6. So, please, update to the latest version and this issue will be fixed.
    Please, go ahead and you will be ready to go with your project.
     
  19. joelcarlson

    joelcarlson

    Joined:
    Apr 7, 2014
    Posts:
    43
    I downloaded 9.7 and I'm getting this error in 5.5.1

    Failed to import package with error: Couldn't decompress package
    UnityEditor.Web.JSProxyMgr:DoTasks()
     
  20. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
    That's temporary Asset Store update issue. Please, hold on for a while and try again.
     
  21. joelcarlson

    joelcarlson

    Joined:
    Apr 7, 2014
    Posts:
    43
    Still getting the error. I tried deleting the package and redownloading. Still not importing. :(
     
  22. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
    This issue is not related to the plugin itself. It's Asset Store issue.
    Try to restart Unity and try again. Otherwise, please, contact Unity support according to this.
     
  23. chachi_app

    chachi_app

    Joined:
    Feb 9, 2017
    Posts:
    12
    Hi guys! I´ve purchase Ulimate Mobile. Is any documentation about configurin Ultimate Mobile with FireBase to implement PushNotifications? The related information is about deprecated GCM and i cant find the same options.

    Thank u in advance!
     
  24. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
    Hello,
    Currently, we have no Firebase Cloud Messaging integration in Ultimate Mobile.
    But this feature is in our task list. So, most likely it will be added in future updates.
    If you have some detailed questions according to this case, please, feel free to contact our support engineer via support@stansassets.com
    You are welcome!
     
  25. bmmshayan

    bmmshayan

    Joined:
    May 20, 2014
    Posts:
    15
    Hello,

    I Bought Ultimate mobile, but did not understand how to do banner ads.

    Tell me please:

    I need to create 1 smartbanner in my game. Need a banner created with the launch of the game and did not depend on the situation (scene change / restarts, etc.). And so it is in any case not be duplicated.

    How to make so that the scene has always been only one banner?

    Thank you in advance!

    Sincerely,
    Michael.
     
  26. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
    Hello,
    We have a great guide according to this feature.
    Please, check it out. You will find the answer to your question.
     
  27. chachi_app

    chachi_app

    Joined:
    Feb 9, 2017
    Posts:
    12
    Firebase is actually the standard for Cloud Messaging. I´ve written 3 times to your support email and i dont have any response. I mean, for me the support no exists. So, how i can´t manage any Push notification emitted from my GameSparks server via Firebase? I´ve just bought your plugin to integrate Android/IOS push notifications, what workaround can i have?
     
  28. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
    Hello,
    Yes, I can see your messages in our mail. Sorry for any kind of delays in support team answers.
    Please, keep in touch, our support engineer will give you the feedback as soon as it will be available.
    Thank you for your patience and understanding!
     
  29. chachi_app

    chachi_app

    Joined:
    Feb 9, 2017
    Posts:
    12
    Great, but i need know if there is a quick solution for this problem in 2 days maximum. The whole development of my company is in pause because of this problema. If i dont get a workaround, i will buy another plugin with the Firebase support and, of course, i will reclaim my money back. You have to specify in the main description in the asset store that your plugin not works with the current stardards of google api.
     
  30. breban1

    breban1

    Joined:
    Jun 7, 2016
    Posts:
    131
    @AlexRay I am very close to purchasing Ultimate Mobile plugin, but I need to know if I can set the ID of scheduled local notifications. I saw on your example page https://unionassets.com/ultimate-mobile/local-and-push-notifications-232 that you can schedule a notification and it RETURNS an ID.

    Basically I have 3 different notifications, and I have them hard-coded to values 0, 1, 2 and I don't want to rework my code if possible.

    Thanks
     
  31. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
    For me, it's quite hard to help you in a forum circumstances.
    The best approach is to solve such kind of problems communicating with our support engineers.
    So, please, keep patience and you will get this case solved in a short time.

    Of course, if it's hard-breaking point for you, you are free to ask for a refund.
    Please, consider all these questions with our support engineer in private.
     
  32. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
    For now, the implementation is as described in our documentation. But, I have a good news for you!
    You can contact our support team and request the feature you described. All the details about any kind of new feature implementation possibilities or terms you can ask in our support engineer in private.
     
    breban1 likes this.
  33. breban1

    breban1

    Joined:
    Jun 7, 2016
    Posts:
    131
    Thanks, I will contact your support team.
     
  34. ashkanis

    ashkanis

    Joined:
    Sep 22, 2012
    Posts:
    19
    Dear Alex

    I purchased Ultimate Mobile from Asset Store and was very keen to use it
    I'm building a multiplayer game foor ios/android
    The Google play game service unity plugin requires android api 23
    UM is packaged with API 25
    How can i downgrade UM to API 23 so it packages with API 23?
    I tried to download a previous package from stan's website but couldn't do so even if i bought the package

    many thanks

    Benoit
     
  35. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
    Hello,
    The native Android libraries are built with the latest stable of Android SDK (currently it's v25).
    I mean, the target Sdk is set to 25 in the gradle build file of each library.
    The minimum Sdk version is set to 9. So, this library will be appropriate for any kind of game project at this time.

    Do you have any kind of problems with this case? And, please, could you describe more precisely for what purpose do you want to have the native library built with target Sdk version 23?
     
  36. jGate99

    jGate99

    Joined:
    Oct 22, 2013
    Posts:
    905
  37. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
  38. OneGame-Studio

    OneGame-Studio

    Joined:
    Dec 5, 2016
    Posts:
    7
    @AlexRay
    All thing was very good until I import Unity5 OneSignal SDK package. So sad. My project can't build.
    Here is error log.
    Screen Shot 2017-03-24 at 5.09.33 PM.png Can you help me? I'm looking forward to your reply as soon as possible
     
  39. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
    The main problem of the errors you had with your project were Google Play Services libs with the different versions.
    If you have the libraries with the different libraries you will not get your project built successfully.

    So, you have to fix all these cases manually on your own.
    I can provide you with a set of instructions to get it fixed.
    It helped to me, so, for you, it should be the same.

    1. Open Assets/Plugins/Android folder in the Explorer (or Finder if you use Mac OS).
    2. You can see, that the Google Play Services libraries are with the different versions. So, you have to copy these libraries from the Android SDK folder on your computer manually.
    Make sure, that all the Google Play Services libraries are on version 10.0.1 (because this is the version of Google Play Services libs provided with the current version of Android Native and Ultimate Mobile).
    3. Remove the duplicates of Google Play Services libraries from your project. BUT you have to remove the libraries from Assets/Plugins/Android/libs folder, NOT from Assets/Plugins/Android.
    4. When you will come back to your Unity Editor, please, answer Keep to all the questions of Play Services Resolver. Otherwise, all the libraries you have just copied will be rewritten.

    Please, go ahead, fix the issues with Google Play Services libraries and built your project on your own.
    If you will have any kind of difficulties, please, feel free to contact our support team.
     
  40. OneGame-Studio

    OneGame-Studio

    Joined:
    Dec 5, 2016
    Posts:
    7
    Thanks AlexRay!
    I solved this problem and can built my game.
    btw, I also have a question. Is Google Analytics not usable?
     
  41. OneGame-Studio

    OneGame-Studio

    Joined:
    Dec 5, 2016
    Posts:
    7
    Hi, Alex Ray!
    After use this version of Ultimate Mobile. I have something suggest to update new version.
    - When import One Signal SDK package, uncheck OneSignal/Editor, PlayServicesResolver, delete all Google play service libraries from Assets/Plugins/Android
    - Google Analytics is not usable. And I found way to fix it.
    + Rename script GA_Manager => Manager.
    + in Manager.cs , edit : comment namespace SA.Analytics.Google {} and add using SA.Analytics.Google; => And google analytics will be usable.
     
    Last edited: Mar 26, 2017
  42. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
    I believe, this issue is already fixed. Please, contact our support team and request for the package with the fix included.
     
  43. SniperED007

    SniperED007

    Joined:
    Sep 29, 2013
    Posts:
    138
    I'm running Ultimate Mobile 9.8/18

    Doing a build for Windows Phone 8.1 throws the following errors:

    Assets\Plugins\StansAssets\Support\Common\Utilities\Modules\SA_GeneralUtility.cs(154,32): error CS0246: The type or namespace name 'HMACSHA256' could not be found (are you missing a using directive or an assembly reference?)
    Assets\Plugins\StansAssets\Modules\AndroidNative\Scripts\System\Storage\AN_Storage.cs(48,37): error CS7036: There is no argument given that corresponds to the required formal parameter 'index' of 'Encoding.GetString(byte[], int, int)'
     
  44. domdev

    domdev

    Joined:
    Feb 2, 2015
    Posts:
    288
    Last edited: Mar 30, 2017
  45. mypolat

    mypolat

    Joined:
    Dec 10, 2014
    Posts:
    11
    Hi,

    I want to use Admob admediation with Ultimate Mobile (last version) but when i imported last google ads mobile unity sdk (https://github.com/googleads/googleads-mobile-unity/releases/tag/v3.3.0) into my project, my project had conflicts about manifest.

    If i don't import google ads mobile sdk, is ultamate mobile working with admob mediation ?

    Thanks.
     
  46. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
    To successfully build your application in Unity Cloud Build you have to import the GoogleMobileAds.framework into you Unity project. Please, move it into the Assets/Plugins/iOS folder and try to build in Unity Cloud Build again.
    Most likely, it will fix the build errors and you will be ready to go with your project.
     
  47. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
    Hello,
    It's not necessary to import official Google Ads Unity plugin into your project.
    Just import all the required Ad network Unity providers downloaded from here and the Unity SDK of a particular Ads provider. All the mediation-related functionality is already included in Stan's Assets implementation of Google AdMob support. So, you are ready to go with Google AdMob mediation in Ultimate Mobile plugin as it is.
     
  48. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
    Some of APIs from the scripts are not exists on Windows Phone platform. They are not implemented on the Mono .NET side. To get successfully build your project, you can comment this APIs calls. But the most common approach is to add compilation dependencies for UNITY_WSA platform.
    If you are able to make it on your own - that's great, otherwise - please, feel free to contact our support ream for further assistance.
     
  49. mypolat

    mypolat

    Joined:
    Dec 10, 2014
    Posts:
    11
    Hi,
    I want to Rewarded Video but there is no example in UM_AdManager. What can i do ?
    Thanks.
     
  50. AlexRay

    AlexRay

    Joined:
    Jul 9, 2014
    Posts:
    993
    Hello,
    Feel free to contact our support team and request the code example for you.
    Please, go ahead and you will get the support in a short time.